yi-misc-modes-0.19.1: Yi editor miscellaneous modes

Safe Haskell | None
Language | Haskell2010

Yi.Lexer.OCaml

# Documentation

lexer :: StyleLexerASI HlState Token Source #

data Token Source #

Constructors

Number |
CharTok |
StringTok |
VarIdent |
ConsIdent |
IndentReserved |
Reserved |
ReservedOp |
Special Char |
ConsOperator |
Operator |
Comment |

#### Instances

Instances details

Show Token Source # |
Instance details Defined in Yi.Lexer.OCaml Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #
Eq Token Source # |
Instance details Defined in Yi.Lexer.OCaml Methods (==) :: Token -> Token -> Bool Source # (/=) :: Token -> Token -> Bool Source #